class Box {
	private double length, width, height;

	public Box(double length, double width, double height) throws IllegalArgumentException {
		if (length <= 0 || width <= 0 || height <= 0)
			throw new IllegalArgumentException("Error: Dimension <= 0");
		this.length = length;
		this.width = width;
		this.height = height;
	}

	public double volume() {
		return length * width * height;
	}

	public double surfaceArea() {
		return 2 * (length * width + length * height + width * height);
	}

	public double getLength() {
		return length;
	}

	public double getWidth() {
		return width;

	}

	public double getHeight() {
		return height;
	}

	public void setLength(double length) {
		this.length = length;

	}

	public void setWidth(double width) {
		this.width = width;

	}

	public void setHeight(double height) {
		this.height = height;

	}
}